Page MenuHomePhabricator

Connecting pages failed at Wkidata with wrong message
Closed, ResolvedPublic

Description

Alternate entries used for later post T208077#4699907.

Given that w:no:Kategori:Dødsfall i 107 is unconnected
[alt Given that w:no:Kategori:Kolosserbrevet is unconnected]
And it is unconnected
When I click on "Edit links"
And I chose Swedish
[alt And I chose English]
And I chose the entry for "Kategori:Avlidna 107"
[alt And I chose the entry for "Category:Epistle to the Colossians"]
And I click on "Lenk til side"
Then I expect the pages to be connected and langlinks updated

What I get is the dialog shown below

This reads "The page you have chosen is already linked at our item on our central data repository. Acknowledge the pages shown below as the ones you want to connect to this page." There are no listed pages to connect.

This seems wrong, and somehow this gadget turns up this error message quite often now.

Wild guess: the data structure has changed somehow with the last mediawiki rollout, and a test in the gadget fails. Ie. the root cause is in the data structure, not the crappy message in the gadget.

It is a thread at w:no:Wikipedia:Torget#Trøbbel med å koble til wikidata.

I have verified that the page can be added to the item by going to Wikibase and manually entering the page, and purging the page. It was still there. (I did not verify that the page got updated though.)

Trying again with debug=true I got an exception

jQuery.Deferred exception: site is null _createSiteLinkRow@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:531:1
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
_createSiteLinkTable@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:508:7
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
_userConfirmEntity@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:464:14
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
_onConfirmationDataLoad@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:436:6
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
proxy@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:10268:10
fire@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3268:11
fireWith@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3398:7
Deferred/</deferred[tuple[0]]@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3736:36
getNewlyLinkedPages/<@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/wikibase.client.PageConnector.js?5be81:85:5
fire@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3268:11
fireWith@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3398:7
mightThrow@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3593:13
resolve/</process<@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3602:12
resolve/<@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3632:9
mightThrow@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3534:21
resolve/</process<@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3602:12
 undefined

Event Timeline

jeblad created this task.Oct 26 2018, 6:02 PM
Restricted Application added subscribers: Danmichaelo, Aklapper. · View Herald TranscriptOct 26 2018, 6:02 PM
jeblad updated the task description. (Show Details)Oct 26 2018, 6:12 PM
jeblad updated the task description. (Show Details)Oct 26 2018, 6:16 PM
jeblad updated the task description. (Show Details)Oct 26 2018, 6:20 PM
jeblad renamed this task from Failed linking of terms on Wkidata and wrong message to Connecting pages failed at Wkidata with wrong message.Oct 26 2018, 7:27 PM

I'm seeing the same problem in Commons, when I tried to link a page to ptwiki, but for me doesn't appear any wrong message, and the script was charging infinitely. A thing that was reported on ptwiki village pump (discuss) was that this pages didn't have entities on Wikidata, and the script should to create it when linked the pages, what happened in past.

Same problem here: trying to link [[:Commons:Category:Palazzo Mandosi Mignanelli]] to [[:pt:Palazzo Mandosi Mignanelli]] with no success.

Jbribeiro1 rescinded a token.
Jbribeiro1 awarded a token.
Tarrow added a subscriber: Tarrow.Oct 27 2018, 7:44 AM

https://www.wikidata.org/w/api.php?action=wbgetentities&format=json&origin=https%3A%2F%2Fno%2Ewikipedia%2Eorg&sites=%1Fsvwiki&titles=%1FKategori%3AAvlidna%20107&normalize=true&props=%1Finfo%1Fsitelinks is called and the response is:

{
  "entities": {
    "Q6607847": {
      "pageid": 6434916,
      "ns": 0,
      "title": "Q6607847",
      "lastrevid": 773958766,
      "modified": "2018-10-26T18:05:52Z",
      "type": "item",
      "id": "Q6607847",
      "sitelinks": {
        "abwiki": {
          "site": "abwiki",
          "title": "\u0410\u043a\u0430\u0442\u0435\u0433\u043e\u0440\u0438\u0430:107 \u0448\u044b\u049b\u04d9\u0441\u0430\u0437\u044b \u0438\u04a7\u0441\u044b\u0437",
          "badges": [
            
          ]
        },
        "arwiki": {
          "site": "arwiki",
          "title": "\u062a\u0635\u0646\u064a\u0641:\u0648\u0641\u064a\u0627\u062a 107",
          "badges": [
            
          ]
        },
        "astwiki": {
          "site": "astwiki",
          "title": "Categor\u00eda:Finaos en 107",
          "badges": [
            
          ]
        },
        "azbwiki": {
          "site": "azbwiki",
          "title": "\u0628\u0624\u0644\u0645\u0647:\u06f1\u06f0\u06f7-\u062c\u06cc \u0645\u06cc\u0644\u0627\u062f\u06cc \u0627\u06cc\u0644\u062f\u0647 \u0627\u0624\u0644\u0646\u200c\u0644\u0631",
          "badges": [
            
          ]
        },
        "azwiki": {
          "site": "azwiki",
          "title": "Kateqoriya:107-ci ild\u0259 v\u0259fat ed\u0259nl\u0259r",
          "badges": [
            
          ]
        },
        "bewiki": {
          "site": "bewiki",
          "title": "\u041a\u0430\u0442\u044d\u0433\u043e\u0440\u044b\u044f:\u041f\u0430\u043c\u0435\u0440\u043b\u0456 \u045e 107 \u0433\u043e\u0434\u0437\u0435",
          "badges": [
            
          ]
        },
        "bgwiki": {
          "site": "bgwiki",
          "title": "\u041a\u0430\u0442\u0435\u0433\u043e\u0440\u0438\u044f:\u041f\u043e\u0447\u0438\u043d\u0430\u043b\u0438 \u043f\u0440\u0435\u0437 107 \u0433\u043e\u0434\u0438\u043d\u0430",
          "badges": [
            
          ]
        },
        "bnwiki": {
          "site": "bnwiki",
          "title": "\u09ac\u09bf\u09b7\u09af\u09bc\u09b6\u09cd\u09b0\u09c7\u09a3\u09c0:\u09e7\u09e6\u09ed-\u098f \u09ae\u09c3\u09a4\u09cd\u09af\u09c1",
          "badges": [
            
          ]
        },
        "bpywiki": {
          "site": "bpywiki",
          "title": "\u09a5\u09be\u0995:\u09ae\u09be\u09b0\u09bf \u09e7\u09e6\u09ed-\u098f \u09ae\u09b0\u09bf\u09b8\u09bf\u09a4\u09be (\u09a6\u09cc \u0987\u09b8\u09bf\u09a4\u09be)",
          "badges": [
            
          ]
        },
        "brwiki": {
          "site": "brwiki",
          "title": "Rummad:Marvio\u00f9 107",
          "badges": [
            
          ]
        },
        "bswiki": {
          "site": "bswiki",
          "title": "Kategorija:Umrli 107.",
          "badges": [
            
          ]
        },
        "cdowiki": {
          "site": "cdowiki",
          "title": "\u5206\u985e:107 ni\u00e8ng gu\u00f3-si\u00e9",
          "badges": [
            
          ]
        },
        "ckbwiki": {
          "site": "ckbwiki",
          "title": "\u067e\u06c6\u0644:\u0645\u0631\u062f\u0648\u0648\u0627\u0646\u06cc \u0661\u0660\u0667",
          "badges": [
            
          ]
        },
        "cswiki": {
          "site": "cswiki",
          "title": "Kategorie:\u00damrt\u00ed 107",
          "badges": [
            
          ]
        },
        "dawiki": {
          "site": "dawiki",
          "title": "Kategori:D\u00f8de i 107",
          "badges": [
            
          ]
        },
        "dewiki": {
          "site": "dewiki",
          "title": "Kategorie:Gestorben 107",
          "badges": [
            
          ]
        },
        "enwiki": {
          "site": "enwiki",
          "title": "Category:107 deaths",
          "badges": [
            
          ]
        },
        "enwikisource": {
          "site": "enwikisource",
          "title": "Category:107 deaths",
          "badges": [
            
          ]
        },
        "eowiki": {
          "site": "eowiki",
          "title": "Kategorio:Mortintoj en 107",
          "badges": [
            
          ]
        },
        "eswiki": {
          "site": "eswiki",
          "title": "Categor\u00eda:Fallecidos en 107",
          "badges": [
            
          ]
        },
        "euwiki": {
          "site": "euwiki",
          "title": "Kategoria:107ko heriotzak",
          "badges": [
            
          ]
        },
        "fawiki": {
          "site": "fawiki",
          "title": "\u0631\u062f\u0647:\u062f\u0631\u06af\u0630\u0634\u062a\u06af\u0627\u0646 \u06f1\u06f0\u06f7 (\u0645\u06cc\u0644\u0627\u062f\u06cc)",
          "badges": [
            
          ]
        },
        "frwiki": {
          "site": "frwiki",
          "title": "Cat\u00e9gorie:D\u00e9c\u00e8s en 107",
          "badges": [
            
          ]
        },
        "ganwiki": {
          "site": "ganwiki",
          "title": "\u5206\u985e:107\u5e74\u904e\u4e16",
          "badges": [
            
          ]
        },
        "glwiki": {
          "site": "glwiki",
          "title": "Categor\u00eda:Finados en 107",
          "badges": [
            
          ]
        },
        "hiwiki": {
          "site": "hiwiki",
          "title": "\u0936\u094d\u0930\u0947\u0923\u0940:107 \u092e\u0947\u0902 \u0928\u093f\u0927\u0928",
          "badges": [
            
          ]
        },
        "huwiki": {
          "site": "huwiki",
          "title": "Kateg\u00f3ria:107-ben elhunyt szem\u00e9lyek",
          "badges": [
            
          ]
        },
        "hywiki": {
          "site": "hywiki",
          "title": "\u053f\u0561\u057f\u0565\u0563\u0578\u0580\u056b\u0561:107 \u0574\u0561\u0570\u0565\u0580",
          "badges": [
            
          ]
        },
        "idwiki": {
          "site": "idwiki",
          "title": "Kategori:Kematian 107",
          "badges": [
            
          ]
        },
        "ilowiki": {
          "site": "ilowiki",
          "title": "Kategoria:107 nga ipupusay",
          "badges": [
            
          ]
        },
        "itwiki": {
          "site": "itwiki",
          "title": "Categoria:Morti nel 107",
          "badges": [
            
          ]
        },
        "kawiki": {
          "site": "kawiki",
          "title": "\u10d9\u10d0\u10e2\u10d4\u10d2\u10dd\u10e0\u10d8\u10d0:\u10d2\u10d0\u10e0\u10d3\u10d0\u10ea\u10d5\u10da\u10d8\u10da\u10d8 107",
          "badges": [
            
          ]
        },
        "kowiki": {
          "site": "kowiki",
          "title": "\ubd84\ub958:107\ub144 \uc8fd\uc74c",
          "badges": [
            
          ]
        },
        "lbwiki": {
          "site": "lbwiki",
          "title": "Kategorie:Gestuerwen 107",
          "badges": [
            
          ]
        },
        "mrwiki": {
          "site": "mrwiki",
          "title": "\u0935\u0930\u094d\u0917:\u0907.\u0938. \u0967\u0966\u096d \u092e\u0927\u0940\u0932 \u092e\u0943\u0924\u094d\u092f\u0942",
          "badges": [
            
          ]
        },
        "ptwiki": {
          "site": "ptwiki",
          "title": "Categoria:Mortos em 107",
          "badges": [
            
          ]
        },
        "rowiki": {
          "site": "rowiki",
          "title": "Categorie:Decese \u00een 107",
          "badges": [
            
          ]
        },
        "ruwiki": {
          "site": "ruwiki",
          "title": "\u041a\u0430\u0442\u0435\u0433\u043e\u0440\u0438\u044f:\u0423\u043c\u0435\u0440\u0448\u0438\u0435 \u0432 107 \u0433\u043e\u0434\u0443",
          "badges": [
            
          ]
        },
        "sawiki": {
          "site": "sawiki",
          "title": "\u0935\u0930\u094d\u0917\u0903:\u0967\u0966\u096d \u092e\u0930\u0923\u092e\u094d",
          "badges": [
            
          ]
        },
        "shwiki": {
          "site": "shwiki",
          "title": "Kategorija:Umrli 107.",
          "badges": [
            
          ]
        },
        "simplewiki": {
          "site": "simplewiki",
          "title": "Category:107 deaths",
          "badges": [
            
          ]
        },
        "skwiki": {
          "site": "skwiki",
          "title": "Kateg\u00f3ria:\u00damrtia v 107",
          "badges": [
            
          ]
        },
        "slwiki": {
          "site": "slwiki",
          "title": "Kategorija:Umrli leta 107",
          "badges": [
            
          ]
        },
        "srwiki": {
          "site": "srwiki",
          "title": "\u041a\u0430\u0442\u0435\u0433\u043e\u0440\u0438\u0458\u0430:\u0423\u043c\u0440\u043b\u0438 107.",
          "badges": [
            
          ]
        },
        "svwiki": {
          "site": "svwiki",
          "title": "Kategori:Avlidna 107",
          "badges": [
            
          ]
        },
        "swwiki": {
          "site": "swwiki",
          "title": "Jamii:Waliofariki 107",
          "badges": [
            
          ]
        },
        "tawiki": {
          "site": "tawiki",
          "title": "\u0baa\u0b95\u0bc1\u0baa\u0bcd\u0baa\u0bc1:107 \u0b87\u0bb1\u0baa\u0bcd\u0baa\u0bc1\u0b95\u0bb3\u0bcd",
          "badges": [
            
          ]
        },
        "thwiki": {
          "site": "thwiki",
          "title": "\u0e2b\u0e21\u0e27\u0e14\u0e2b\u0e21\u0e39\u0e48:\u0e1a\u0e38\u0e04\u0e04\u0e25\u0e17\u0e35\u0e48\u0e40\u0e2a\u0e35\u0e22\u0e0a\u0e35\u0e27\u0e34\u0e15\u0e43\u0e19\u0e1b\u0e35 \u0e1e.\u0e28. 650",
          "badges": [
            
          ]
        },
        "trwiki": {
          "site": "trwiki",
          "title": "Kategori:107 y\u0131l\u0131nda \u00f6lenler",
          "badges": [
            
          ]
        },
        "ttwiki": {
          "site": "ttwiki",
          "title": "\u0422\u04e9\u0440\u043a\u0435\u043c:107 \u0435\u043b\u0434\u0430 \u0432\u0430\u0444\u0430\u0442\u043b\u0430\u0440",
          "badges": [
            
          ]
        },
        "ukwiki": {
          "site": "ukwiki",
          "title": "\u041a\u0430\u0442\u0435\u0433\u043e\u0440\u0456\u044f:\u041f\u043e\u043c\u0435\u0440\u043b\u0438 107",
          "badges": [
            
          ]
        },
        "urwiki": {
          "site": "urwiki",
          "title": "\u0632\u0645\u0631\u06c1:107\u0621 \u06a9\u06cc \u0648\u0641\u06cc\u0627\u062a",
          "badges": [
            
          ]
        },
        "uzwiki": {
          "site": "uzwiki",
          "title": "Turkum:107-yilda vafot etganlar",
          "badges": [
            
          ]
        },
        "viwiki": {
          "site": "viwiki",
          "title": "Th\u1ec3 lo\u1ea1i:M\u1ea5t n\u0103m 107",
          "badges": [
            
          ]
        },
        "warwiki": {
          "site": "warwiki",
          "title": "Kaarangay:Mga namatay han 107",
          "badges": [
            
          ]
        },
        "zh_min_nanwiki": {
          "site": "zh_min_nanwiki",
          "title": "L\u016bi-pia\u030dt:107 n\u00ee k\u00f2e-sin",
          "badges": [
            
          ]
        },
        "zh_yuewiki": {
          "site": "zh_yuewiki",
          "title": "Category:107\u5e74\u6b7b",
          "badges": [
            
          ]
        },
        "zhwiki": {
          "site": "zhwiki",
          "title": "Category:107\u5e74\u901d\u4e16",
          "badges": [
            
          ]
        }
      }
    }
  },
  "success": 1
}

Calling wb.sites.getSites() from an nowiki page only returns the pedias, whereas calling from wikidata we actually get all sites.

Change 470139 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Wikibase, Set siteLinkGroups settings on all wikis again

https://gerrit.wikimedia.org/r/470139

Change 470139 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase, Set siteLinkGroups settings on all wikis again

https://gerrit.wikimedia.org/r/470139

Mentioned in SAL (#wikimedia-operations) [2018-10-27T08:34:52Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: Wikibase, Set siteLinkGroups settings on all wikis again T208048 T208077 T208074 (duration: 00m 54s)

Addshore closed this task as Resolved.Oct 27 2018, 8:35 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

I managed to make the edit that was described in the task description.

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 27 2018, 8:35 AM
jeblad reopened this task as Open.EditedOct 27 2018, 2:51 PM

Sorry, but the bug persists. Try to connect w:no:Kategori:Kolosserbrevet through use of w:en:Category:Epistle to the Colossians. Could it be a caching issue?

jQuery.Deferred exception: site is null _createSiteLinkRow@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:531:1
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
_createSiteLinkTable@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:508:7
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
_userConfirmEntity@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:464:14
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
_onConfirmationDataLoad@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/jquery.wikibase/jquery.wikibase.linkitem.js?b78ba:436:6
$.widget/</prototype[prop]</<@https://no.wikipedia.org/w/resources/lib/jquery.ui/jquery.ui.widget.js?7d91d:90:20
proxy@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:10268:10
fire@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3268:11
fireWith@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3398:7
Deferred/</deferred[tuple[0]]@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3736:36
getNewlyLinkedPages/<@https://no.wikipedia.org/w/extensions/Wikibase/client/resources/wikibase.client.PageConnector.js?5be81:85:5
fire@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3268:11
fireWith@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3398:7
mightThrow@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3593:13
resolve/</process<@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3602:12
resolve/<@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3632:9
mightThrow@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3534:21
resolve/</process<@https://no.wikipedia.org/w/resources/lib/jquery/jquery.js?6a07d:3602:12
 undefined

Sorry, but the bug persists. Try to connect w:no:Kategori:Kolosserbrevet through use of w:en:Category:Epistle to the Colossians. Could it be a caching issue?

Hmmmm, yes with this example I seem to still be getting an error.
It seems this is a different issue to the other 2 tickets linked above.

jeblad added a comment.EditedOct 27 2018, 3:02 PM

Note jQuery.Deferred exception: site is null… Sounds pretty similar, but I don't know.
Very strange that the bug disappeared on the first page, but not on this one. What did we do during testing that we did not do on this page?
Tried a local save of the page at nowiki and a purge of the item at Wikidata.

jeblad updated the task description. (Show Details)Oct 27 2018, 3:13 PM
jeblad updated the task description. (Show Details)
Addshore closed this task as Resolved.Oct 27 2018, 4:22 PM
Addshore triaged this task as High priority.
Addshore added subscribers: Traveler100, ARR8.

I no longer get this error while testing with https://no.wikipedia.org/wiki/Kategori:Kolosserbrevet, please re open if this still happens for you.

This was fixed with https://gerrit.wikimedia.org/r/470176 deployed in T208124#4699943

@Addshore Have you actually changed anything since T208077#4699907 ? Connecting Kategori:Kolosserbrevet did not work after your previous fix, and I'm a bit uneasy about closing this report without really knowing the category suddenly work.